Bug 1576972 - [RFE] Add host shell welcome message to avoid upgrades without maintenance
Summary: [RFE] Add host shell welcome message to avoid upgrades without maintenance
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Martin Perina
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 902971
TreeView+ depends on / blocked
 
Reported: 2018-05-10 21:20 UTC by Marina Kalinin
Modified: 2019-12-23 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-23 13:40:28 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1570349 None CLOSED After upgrade from 4.1 to 4.2.3 vm disk is inactive and vm nic is un-plugged 2019-09-17 00:47:25 UTC

Internal Links: 1570349

Description Marina Kalinin 2018-05-10 21:20:49 UTC
Update the shell welcome message for RHV host when the user ssh in
to warn not to run `yum update` if the host is not in maintenance, since it can cause the VMs running on the host to dysfunction.

This is something that we can do at vdsm level, in vdsm rpm postinstall scripts, for instance, without impacting core OS components.
This still won't prevent the user from running the update command without host maintenance in the engine, but it will reduce the probability of this to happen. And this seem to be relatively easy to implement as opposed to try figuring out if the host is in maintenance and preventing the yum command to run. 

How to do it? For exmaple, using /etc/motd:
https://access.redhat.com/solutions/223483

Suggested words to use:
"Ensure host is in maintenance before running `yum update`. Otherwise it can cause VMs running on the host to dysfunction."
But I would run this through a native english speaker first :)

Comment 1 Martin Perina 2018-05-11 12:55:17 UTC
IMO this should be handle within host deploy process, probably worth to add to ovirt-host-deploy ansible role. Targeting to 4.3, when done let's discuss backports

Comment 3 Marina Kalinin 2018-05-11 19:16:22 UTC
Ideally would be to have some flag set on the host and lock the yum process from updating somehow as long as the host is not in maintenance. But this probably would be much harder to implement.

Comment 4 Doron Fediuck 2019-12-23 13:40:28 UTC
Closing old RFEs.
If still needed, please re-open and provide a business justification.


Note You need to log in before you can comment on or make changes to this bug.